
#include  <XSUser/Global/Global.h>
#include  <XSUser/Global/XSGlobal.h>
#include  "xsmixFunctionMap.h"
#include  <XSModelFunction.h>
#include <XSUser/UserInterface/xstcl.h>


extern "C" int Xsmix_Init(Tcl_Interp* tclInterp);
extern "C" int Xsmix_SafeInit(Tcl_Interp* tclInterp);

int Xsmix_Init(Tcl_Interp* tclInterp)
{
        return Xsmix_SafeInit(tclInterp);
}

int Xsmix_SafeInit(Tcl_Interp* tclInterp)
{

        char PACKAGE[] = "xsmix";
        char VERSION[] = "1.0";
        Tcl_PkgProvide(tclInterp, PACKAGE, VERSION);
        createxsmixFunctionMap();
        const string& dataDir = XSGlobal::globalData->managerDir();
        XSModelFunction::updateComponentList(dataDir + "/mixmodel.dat", true);
        return TCL_OK;

}

